Bug 1065120 - [Project Version JSF Document List View] Estimated work hours should stay the same by toggling between "By Message" and "By Words"
[Project Version JSF Document List View] Estimated work hours should stay the...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
3.0
Unspecified Unspecified
high Severity high
: ---
: 3.3
Assigned To: Alex Eng
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-13 19:52 EST by Ding-Yi Chen
Modified: 2014-03-20 01:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.3.0-SNAPSHOT (20140217-0050)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 01:47:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2014-02-13 19:52:59 EST
Description of problem:
In Project Version Language View, toggling word/message statistics should not change the estimated work hours. However, currently the estimate work hours changed after toggling statistics mode.

Version-Release number of selected component (if applicable):
Zanata 3.3.0-SNAPSHOT (20140213-0020) 

How reproducible:
Always, easier to spot with untranslated or partially translated projects

Steps to Reproduce:
1. Go to a project which is untranslated or partially translated.
2. Click a version which is untranslated or partially translated.
3. Click the document list icon of a untranslated or partially translated language.
4. Toggle the Statistics mode between "By Message" and "By Words"

Actual results:
Estimate work hours changed.

Expected results:
Estimate work hours should stay the same.

Additional info:
Comment 1 Alex Eng 2014-02-13 20:00:54 EST
Pull request:
https://github.com/zanata/zanata-server/pull/374
Comment 2 Ding-Yi Chen 2014-02-16 20:51:15 EST
VERIFIED with Zanata 3.3.0-SNAPSHOT (20140217-0050)
Comment 3 Sean Flanigan 2014-03-20 01:47:18 EDT
Closing VERIFIED bugs for Zanata server 3.3.2.

Note You need to log in before you can comment on or make changes to this bug.